LIB = miscutillib.a

IFOBJS  = util.o ifconfig.o interface.o 
IFSRCS  = util.c ifconfig.c interface.c 

#ROUTEOBJS  = route.o
#ROUTESRCS  = route.c

#VLANOBJS  = vlanlib.o
#VLANSRCS  = vlanlib.c

#WLANOBJS  = wlanlib.o

AUTHOBJS  = shadow.o pwd2spwd.o utility.o addgroup.o adduser.o passwd.o
AUTHSRCS  = shadow.c pwd2spwd.c utility.c addgroup.c adduser.c passwd.c

#PPPOERELAYOBJS = pppoerelaylib.o
CFLAGS  = -Wall -Os -pipe

mylib_OBJECTS = $(IFOBJS) $(ROUTEOBJS) $(VLANOBJS) $(AUTHOBJS) $(PPPOERELAYOBJS)
CROSS =
STRIPTOOL = $(CROSS)strip
FLTFLAGS += -s 20000

all:	$(LIB)

#$(LIB):	$(mylib_OBJECTS)
$(LIB):	
	$(CC) $(CFLAGS) $(MISC_HEADERS) -c $(IFSRCS) $(ROUTESRCS) $(AUTHSRCS) $(VLANSRCS)
	-rm -f $(LIB)
	$(AR) cru $(LIB) $(mylib_OBJECTS)
	$(RANLIB) $(LIB)

romfs:
	
clean:
	-rm -f *.elf *.gdb *.o *.map *.a 

cleanall:
	-rm -f *.elf *.gdb *.o *.map *.a .configured Makefile
